Bug 1597490 (CVE-2018-8036) - CVE-2018-8036 pdfbox: Infinite loop in AFMParser.java allows for out of memory erros via crafted PDF
Summary: CVE-2018-8036 pdfbox: Infinite loop in AFMParser.java allows for out of memor...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8036
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1597491
Blocks: 1597492
TreeView+ depends on / blocked
 
Reported: 2018-07-03 04:52 UTC by Sam Fowler
Modified: 2019-09-29 14:43 UTC (History)
34 users (show)

Fixed In Version: pdfbox 1.8.15, pdfbox 2.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:31:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2669 None None None 2018-09-11 07:58:05 UTC

Comment 1 Sam Fowler 2018-07-03 04:52:57 UTC
Created pdfbox tracking bugs for this issue:

Affects: fedora-all [bug 1597491]

Comment 3 Hooman Broujerdi 2018-07-31 05:36:00 UTC
Statement:

While Fuse 6.3 and Fuse 7.0 ship vulnerable artifact via camel-pdfbox, however, the flawed code is not being used therefore no execution path leads to an exposure to this vulnerability, so both Fuse 6.3, 7 standalone are not affected. However, Fuse 7.0 on OpenShift ship vulnerable artifact via maven BOM, so setting Fuse 7.0 as affected for this reason only.

Comment 5 errata-xmlrpc 2018-09-11 07:57:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669


Note You need to log in before you can comment on or make changes to this bug.